### Name: mlogit.data
### Title: data.frame for logit model
### Aliases: mlogit.data
### Keywords: attribute

### ** Examples


# ModeChoice is a long data.frame 

data("ModeChoice",package="Ecdat")
ModeChoice <- mlogit.data(ModeChoice,choice="mode",shape="long",
                 alt.levels=c("air","train","bus","car"))

# Same but with an alt variable called altm

data("ModeChoice",package="Ecdat")
ModeChoice$altm <- rep(c("air","train","bus","car"),210)
ModeChoice <- mlogit.data(ModeChoice,choice="mode",shape="vert",
                 alt.var="altm")

# Same but with an chid variable called ind 

data("ModeChoice",package="Ecdat")
ModeChoice$ind <- rep(1:210,each=4)
ModeChoice <- mlogit.data(ModeChoice,choice="mode",shape="long",
                 id.var="ind",alt.levels=c("air","train","bus","car"))

# Same but with two own provided variables

data("ModeChoice",package="Ecdat")
ModeChoice$ind <- rep(1:210,each=4)
ModeChoice$altm <- rep(c("air","train","bus","car"),210)
ModeChoice <- mlogit.data(ModeChoice,choice="mode",shape="long",
                 id.var="ind",alt.var="altm")

# Train is a wide data.frame with columns 'choiceid' is the choice
#  index, the alternatives are named "ch1" and "ch2", the opposite
# of the variables is returned

data("Train",package="Ecdat")
Train <- mlogit.data(Train,choice="choice",shape="wide",
                     varying=4:11,alt.levels=c("ch1","ch2"),
                     opposite=c("price","time","change","comfort"), sep="")

# Car is a wide data.frame, indexes names are provided

data("Car",package="Ecdat")
Carl <-
mlogit.data(Car,varying=5:70,shape="wide",sep="",choice="choice",
            id.var="Mr",alt.var="Car",alt.levels=1:6)

  


